Skip to main content
POST
/
terminals
Register a terminal
curl --request POST \
  --url https://api.guile.app/terminals \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "platform": "ios",
  "deviceIdentifier": "<string>",
  "deviceModel": "<string>",
  "osVersion": "<string>",
  "appVersion": "<string>",
  "terminalSdkVersion": "<string>"
}
'
{
  "id": "<string>",
  "platform": "ios",
  "deviceIdentifier": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "deviceModel": "<string>"
}

Body

application/json

Request body for registering the device as a known terminal.

platform
enum<string>
required

Supported device platforms for payment terminals.

Available options:
ios
deviceIdentifier
string
required

The stable device identifier reported by the app.

Maximum string length: 255
deviceModel
string

The device model reported by the app.

Maximum string length: 100
osVersion
string

The operating system version reported by the app.

Maximum string length: 50
appVersion
string

The app version requesting registration.

Maximum string length: 50
terminalSdkVersion
string

The in-person payment SDK version used by the app.

Maximum string length: 50

Response

Created.

A device registered as a known terminal for in-person payments.

id
string
required

The unique identifier for this terminal.

platform
enum<string>
required

Supported device platforms for payment terminals.

Available options:
ios
deviceIdentifier
string
required

The stable device identifier reported by the app.

Maximum string length: 255
createdAt
string<date-time>
required

The date-time when this resource was created, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. This is derived and immutable.

updatedAt
string<date-time>
required

The date-time when this resource was updated, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. This is derived and immutable.

deviceModel
string

The device model reported by the app.

Maximum string length: 100